function [cart, spheric] = latlon2cartCities( cit_data)
%
% [cart, spheric] = latlon2cartCities( cit_data)
%
% Determine Cartesian coordinates for cities data

  cart = zeros(numel( cit_data), 3);
  spheric = zeros(numel( cit_data), 2);

  for( i = 1 : numel( cit_data))

    % latitude
    lat_deg = str2num( cit_data{i}{2}{1});
    lat_min = str2num( cit_data{i}{2}{2});
    lat = lat_deg + 0.01*min2dec( lat_min);
    if( numel( strfind( cit_data{i}{2}{3}, 'S')) > 0)
      lat = -lat;
    end
    
    % longitude
    lon_deg = str2num( cit_data{i}{2}{4});
    lon_min = str2num( cit_data{i}{2}{5});    
    lon = lon_deg + 0.01*min2dec( lon_min);
    if( numel( strfind( cit_data{i}{2}{6}, 'E')) > 0)
      lon = lon + 180;
    else
      lon = 180 - lon;
    end 
    
    % Determine Cartesian coordinates
    [x,y,z] = latlon2xyz( lat, lon, 1.0);
    
    % store
    cart(i,:) = [x y z];
    spheric(i,:) = cart2spheric( cart(i,:));
    
  end

end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function dec_val = min2dec( min_val)
%
% Convert minutes to decimal value (the conversion might not be fully
% geographically accurate but is sufficient for out purposed)

  dec_val = (100 * min_val) / 60;

end