function [cart, spheric] = latlon2cartCities2( cit_data)
%
% [cart, spheric] = latlon2cartCities( cit_data)
%
% Determine Cartesian coordinates for cities data

  cart = zeros(numel( cit_data), 3);
  spheric = zeros(numel( cit_data), 2);

  for( i = 1 : numel( cit_data))

    % latitude
    lat = str2num( cit_data{i}{2}{1});
    
    % longitude
    lon = str2num( cit_data{i}{2}{2});
    if( lon > 0)
      lon = lon + 180;
    else
      lon = 180 - abs(lon);
    end 
    
    % Determine Cartesian coordinates
    [x,y,z] = latlon2xyz( lat, lon, 1.0);
    
    % store
    cart(i,:) = [x y z];
    spheric(i,:) = cart2spheric( cart(i,:));
    
  end

end
