function [cities_data] = readCitiesFile2( filename)
%
% [names, lon_lat] = readCitiesFile2( filename)
%
% Read file containing latitude and longitude of cities
%
% @return  cities_data  data contained in the cities file
% @param   filename     name of the file containing the data

  defval( 'filename', 'cities/cities2.dat');

  [fid, msg] = fopen( filename, 'r');
  if( '' ~= msg)
    error( ['Opening file failed: ', msg]);
  end
  
  % skip the first line which contains a comment
  fgetl( fid);
  
  % read data
  tline = fgetl(fid);
  i = 1;
  while( ischar(tline))
    
    % process current line
    
    % split into individual strings
    tline = regexp( tline, ' ', 'split');
    
    temp{1} = strtrim([tline{2:end-5}]);
    temp{2} = {tline{end-2} , tline{end}};
    
    % store all relevant information
    cities_data{i} = temp;
    
    % get next line
    tline = fgetl(fid);
  
    i = i+1;
    
  end
  
  fclose( fid);

end