%% Post processing

% Reference solution computed using the method by Blanco et al. 
disp(sprintf('Computing reference solution.'));
sh_coeffs_rot_blanco = shRotateBlanco( max_band, sh_coeffs, R);

% Visualize result and plot error

% visualize rotation
disp(sprintf('Plotting rotated signal.'));
shPlotFunction( max_band, sh_coeffs_rot, level_vis);

% compute the average L_2 error per band 
for( band = 1 : max_band)
  idx = shGetBandIdx( band);
  err(band) = mean( norm( sh_coeffs_rot(:,idx) - sh_coeffs_rot_blanco(:,idx)));
end

% plot error and condition numbers (some beautification required)
figure;
x = [1:max_band];
[ax, h1, h2] = plotyy( x, err, x, cns);
set(ax(1),'XLim',[1,max_band]);
set(ax(2),'XLim',[1,max_band]);
legend( {'Error', 'Condition Number'}, 'Location', 'NorthWest');
set( h1, 'Color', 'r');
set( h2, 'Color', 'b');
set( get(ax(1),'Ylabel'), 'String', 'Average L_2 Error');
set( get(ax(2),'Ylabel'), 'String', 'Condition Number');
set( get(ax(2),'Ylabel'), 'Color', 'r');
set( ax(2), 'YColor', 'r');
disp(sprintf('Plotted error graph.'));
