function Q_l = shComputeKernelMatrix( band, lambda)
%
% Q_l = shComputeKernelMatrix( band, lambda)
%
% Compute the kernel matrix Q_l for the specified band and set of sampling
%
% @return Q_l     kernel matrix
% @param  band    band for which to compute the kernel matrix
% @param  lambda  set of sampling

  % preallocate matrix
  Q_l = zeros( size(lambda,1), 2*band+1);

  for( i = 1:size(lambda,1))    
    Q_l(i,:) = shComputeKernelMatrixRow( band, lambda(i,:));
  end
  
end