function [Z1, Y, Z2] = getRotationEulerZYZMatrix( R)
%
% [Z1, Y, Z2] = getRotationEulerZYZMatrix( R)
%
% Extract the Euler ZYZ rotation angles from a rotation matrix
% @return  Euler ZYZ rotation angles
% @param   R  rotation matrix

  Z1 = pi/2 + atan2( R(3,1), R(3,2));
  Y = acos( R(3,3));
  Z2 = pi/2 - atan2( R(1,3), R(2,3));
  
  Z1 = rad_to_deg( Z1);
  Y  = rad_to_deg( Y);
  Z2 = rad_to_deg( Z2);  
  
end