function verts_r = rotatePointsS2( verts, R)
%
% verts_r = rotatePointsS2( verts, R)
%
% Rotate a set of points in (\theta,\phi) parametrization.

  % rotate vertices
  verts_r = verts;
  for( i = 1 : size( verts, 1))
    % convert point from spherical to Cartesian coordinates
    p_c = convertS2ToR3( verts(i,:));
    % rotate point
    p_c = R * p_c;
    % convert back to spherical coordinates
    p_s = convertR3ToS2( p_c);
    % store 
    verts_r(i,:) = p_s;
  end

end